Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1701959 - python2-pykafka fails to install due to missing dependencies
Summary: python2-pykafka fails to install due to missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pykafka
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-04-22 14:40 UTC by Miro Hrončok
Modified: 2023-09-14 05:27 UTC (History)
3 users (show)

Fixed In Version: python-pykafka-2.6.0-0.6.dev2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-09 01:32:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 14:40:54 UTC
$ mock -r fedora-rawhide-x86_64 install python2-pykafka
...
Error: 
 Problem: conflicting requests
  - nothing provides python2.7dist(tabulate) needed by python2-pykafka-2.6.0-0.5.dev2.fc30.x86_64
  - nothing provides python2-tabulate needed by python2-pykafka-2.6.0-0.5.dev2.fc30.x86_64


Please fix this or remove the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:13 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Fedora Update System 2019-04-30 10:37:24 UTC
python-pykafka-2.6.0-0.6.dev2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3895e1e861

Comment 3 Fedora Update System 2019-05-01 01:43:59 UTC
python-pykafka-2.6.0-0.6.dev2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3895e1e861

Comment 4 Fedora Update System 2019-05-09 01:32:40 UTC
python-pykafka-2.6.0-0.6.dev2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Red Hat Bugzilla 2023-09-14 05:27:20 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.